new Vue({
	el: '#childApp',
	data:function(){
		return {
			ss:'sas',
			dateRange:[new Date(), new Date()],
			taskList:[],
			taskvalue: '',
			start_date: '',
			end_date:'',
			loading: true,
			Series:[
		            {
		                type: 'bar',
		                barWidth: 20,
		                barCategoryGap: "20%",
		                label:{
		                    normal: {
		                      position: 'right',
		                      show: true,
		                      color: '#000'
		                    }
		                },
		                itemStyle:{
		                  normal:{
		                    color: '#fccb04' 
		                  },
		                  emphasis:{
		                    color: '#f7d139' 
		                  }
		                },
		                encode: {
		                    x: 'amount',
		                    y: 'product'
		                }
		            }
		        ]
		}
	},
	methods: {
		changeRange(dateRange){
			console.log(dateRange);
			this.start_date = dateRange[0];
			this.end_date = dateRange[1];
			this.getStatistics(this.taskvalue,this.start_date,this.end_date);  // 获取统计数据
		},
		changeTask(msg){
			console.log(msg);
			this.taskvalue = msg;
			this.getStatistics(this.taskvalue,this.start_date,this.end_date);  // 获取统计数据
		},
		getTask(){
			let that = this;
			RquestsGet('api/v1/tasks/obtain/').then(data => {
				//console.log(data);
				if(data.code != 0){
					that.taskList = [{id:'',name:'全部任务'}];
				}else{
					that.taskList = [{id:'',name:'全部任务'}].concat(data.data);
				}
			})
		},
		ChartsOne(msg){
			let sourceArr = [
	                [ 'amount', 'product'],
	        ].concat(msg);
			let option = {
		        title:{
		            text:'坐席得分统计',
		            x: '50%',
		            textAlign: 'center'
		        },
		        dataset: {
		            source: sourceArr
		        },
		        grid: {containLabel: true},
		        xAxis: {name: 'amount',max:'100'},
		        yAxis: {type: 'category',boundaryGap:'20%'},
		        series: this.Series
		      };

	        var myChart =  echarts.init(document.getElementById('main'));
	        myChart.setOption(option) 
	        if(msg.length == 0){
		        myChart.showLoading({
		            	text: '暂无数据',
		          		color: '#ffffff',
		          		textColor: '#8a8e91',
		          		maskColor: 'rgba(255, 255, 255, 0.8)',
				    }
				 );
	        }else{
	        	myChart.hideLoading();
	        }
	        window.onresize = function(){
	          myChart.resize(); 
	        }

		},
		ChartsTwo(msg){
			let sourceArr = [
	                [ 'amount', 'product'],
	        ].concat(msg);
		    var optionTwo = {
		        title:{
		            text:'违规话数统计',
		            x: '50%',
		            textAlign: 'center'
		        },
		        dataset: {
		            source: sourceArr
		        },
		        grid: {containLabel: true},
		        xAxis: {name: 'amount'},
		        yAxis: {type: 'category',boundaryGap:'20%'},
		        series: this.Series
		    };

	        var myChartTwo =  echarts.init(document.getElementById('mainTwo'));
	        myChartTwo.setOption(optionTwo);
	        if(msg.length == 0){
		        myChartTwo.showLoading({
		            	text: '暂无数据',
		          		color: '#ffffff',
		          		textColor: '#8a8e91',
		          		maskColor: 'rgba(255, 255, 255, 0.8)',
				    }
				 );
	        }else{
	        	myChartTwo.hideLoading();
	        }
	        window.onresize = function(){
	          myChartTwo.resize(); 
	        }
		},
		getStatistics(task,start_date,end_date){
			let that = this;
			this.$loading({text:'数据加载中...'});
			RquestsPost('api/v1/tasks/seat_score/',{task,start_date,end_date}).then(data => {
				console.log(data.data);
				let arr = [];
				if(data.code != 0){
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){
					this.$loading().close();
					return false;
				}
				for(let key in data.data){
					arr.push([data.data[key],key])
				}
				console.log(arr);
				that.ChartsOne(arr);
			});
			RquestsPost('api/v1/tasks/seat_session/',{task,start_date,end_date}).then(data => {
				console.log(data.data);
				let arr = [];
				if(data.code != 0){
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){
					this.$loading().close();
					return false;
				}
				for(let key in data.data){
					arr.push([data.data[key],key])
				};
				console.log(arr);
				that.ChartsTwo(arr);
				this.$loading().close();
			});
			
		},
		dateFormat(date){
			return date.getFullYear() + "-" + (date.getMonth()+1) + "-" + date.getDate();
		},
		init(){
			this.dateRange = [new Date(new Date()-24*60*60*1000*30), new Date()];
			this.start_date = this.dateFormat(new Date(new Date()-24*60*60*1000*30));
			this.end_date = this.dateFormat(new Date());
			this.getTask();  // 获取任务
			let that = this;
			console.log(this.dateRange);
			this.getStatistics(this.taskvalue,this.start_date,this.end_date);  // 获取统计数据

		}
	},
	created(){
		this.init()
	},

})